Upload multiple attachments at once
curl --request POST \
--url https://api.example.com/api/v1/skills/{skill_id}/attachments/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"file_path": "<string>",
"directory": "<string>",
"content_text": "<string>",
"content_type": "<string>",
"skill_version_id": "<string>"
}
]
}
'import requests
url = "https://api.example.com/api/v1/skills/{skill_id}/attachments/bulk"
payload = { "files": [
{
"file_path": "<string>",
"directory": "<string>",
"content_text": "<string>",
"content_type": "<string>",
"skill_version_id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
files: [
{
file_path: '<string>',
directory: '<string>',
content_text: '<string>',
content_type: '<string>',
skill_version_id: '<string>'
}
]
})
};
fetch('https://api.example.com/api/v1/skills/{skill_id}/attachments/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}skill-attachments
Upload multiple attachments at once
Upload multiple attachments at once.
Requires edit permission on the skill. Used by the import pipeline for full bundle imports.
POST
/
api
/
v1
/
skills
/
{skill_id}
/
attachments
/
bulk
Upload multiple attachments at once
Authorizations
Enter your API key (e.g. dai_sk_test_key_001)
Path Parameters
Cookies
Body
application/json
Request to create multiple attachments at once.
List of files to create
Show child attributes
Show child attributes
Response
Successful Response
⌘I